## q2-sample-classifier 2022.11.1

=== Makefile ===
.PHONY: all lint test test-cov install dev clean distclean

PYTHON ?= python

all: ;

lint:
	q2lint
	flake8

test: all
	py.test

test-cov: all
	py.test --cov=q2_sample_classifier

install:
	$(PYTHON) setup.py install

dev: all
	pip install -e .

clean: distclean

distclean: ;

## q2-sample-classifier 2020.11.1

=== debian/changelog ===
q2-sample-classifier (2020.11.1-3) unstable; urgency=medium

  * Team Upload.
  * d/p/reduce-precision-in-tests.patch: Add tolerance to 3 tests in order
    to avoid test failuers due to float point errors on non-amd64 arches

 -- Nilesh Patra <nilesh@debian.org>  Sun, 25 Jul 2021 17:20:25 +0530

q2-sample-classifier (2020.11.1-2) unstable; urgency=medium

  * Team Upload.
  * d/control: Add depends on python3-distutils,
    q2-types, q2-feature-table
  * Add autopkgtests
  * d/rules: Do not run build time tests with || true
    rather just print the message that this will be dealt
    with in autopkgtests

 -- Nilesh Patra <nilesh@debian.org>  Sun, 25 Jul 2021 10:36:56 +0530

q2-sample-classifier (2020.11.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Sun, 06 Dec 2020 17:10:46 +0100

q2-sample-classifier (2020.11.0-1) unstable; urgency=medium

  [ Liubov Chuprikova ]
  * Initial release (Closes: #976265)

  [ Steffen Moeller ]
  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Steffen Moeller <moeller@debian.org>  Wed, 02 Dec 2020 13:34:36 +0100

=== debian/control ===
Source: q2-sample-classifier
Section: science
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Liubov Chuprikova <chuprikovalv@gmail.com>,
           Steffen Moeller <moeller@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               qiime (>= 2020.11.0),
               python3-all,
               python3-setuptools,
               python3-pytest <!nocheck>
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/med-team/q2-sample-classifier
Vcs-Git: https://salsa.debian.org/med-team/q2-sample-classifier.git
Homepage: https://qiime2.org
Rules-Requires-Root: no

Package: q2-sample-classifier
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python3:Depends},
         qiime (>= 2020.11.0),
         python3-distutils,
         q2-types,
         q2-feature-table
Description: QIIME 2 plugin for machine learning prediction of sample data
 QIIME 2 is a powerful, extensible, and decentralized microbiome analysis
 package with a focus on data and analysis transparency. QIIME 2 enables
 researchers to start an analysis with raw DNA sequence data and finish with
 publication-quality figures and statistical results.
 Key features:
  * Integrated and automatic tracking of data provenance
  * Semantic type system
  * Plugin system for extending microbiome analysis functionality
  * Support for multiple types of user interfaces (e.g. API, command line,
 graphical)
 .
 QIIME 2 is a complete redesign and rewrite of the QIIME 1 microbiome analysis
 pipeline. QIIME 2 will address many of the limitations of QIIME 1, while
 retaining the features that makes QIIME 1 a powerful and widely-used analysis
 pipeline.
 .
 QIIME 2 currently supports an initial end-to-end microbiome analysis pipeline.
 New functionality will regularly become available through QIIME 2 plugins. You
 can view a list of plugins that are currently available on the QIIME 2 plugin
 availability page. The future plugins page lists plugins that are being
 developed.
 .
 Microbiome studies often aim to predict outcomes or differentiate samples
 based on their microbial compositions, tasks that can be efficiently
 performed by supervised learning methods. The q2-sample-classifier plugin
 makes these methods more accessible, reproducible, and interpretable to
 a broad audience of microbiologists, clinicians, and others who wish to
 utilize supervised learning methods for predicting sample characteristics
 based on microbiome composition or other "omics" data

=== debian/rules ===
#!/usr/bin/make -f

DH_VERBOSE := 1
export LC_ALL=C.UTF-8

include /usr/share/dpkg/default.mk

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install
	rm -rf debian/q2-sample-classifier/usr/lib/python3.9/site-packages/q2_sample_classifier/__pycache__/
	rm -rf debian/q2-sample-classifier/usr/lib/python3.9/site-packages/q2_sample_classifier/tests/__pycache__/

#FIXME:
override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	echo "I: Delaying true testing to autopkgtests since QIIME2 module cannot be registered at build time"
endif

override_dh_auto_clean:
	dh_auto_clean
	rm -rf .pytest_cache build
	rm -f q2_sample_classifier.egg-info/PKG-INFO q2_sample_classifier.egg-info/SOURCES.txt q2_sample_classifier.egg-info/dependency_links.txt q2_sample_classifier.egg-info/entry_points.txt q2_sample_classifier.egg-info/not-zip-safe q2_sample_classifier.egg-info/top_level.txt
	find . -name __pycache__  | xargs -r rm -r

override_dh_usrlocal:
	# fails - no idea why

=== debian/watch ===
version=4
opts="filenamemangle=s/.*\/archive\/(\d[\d.]+@ARCHIVE_EXT@)/@PACKAGE@-$1/" \
  https://github.com/qiime2/q2-sample-classifier/releases/latest .*/archive/(\d[.\d]+)@ARCHIVE_EXT@

## q2-sample-classifier 2021.8.0

=== debian/changelog ===
q2-sample-classifier (2021.8.0-1) unstable; urgency=medium

  * Team upload.

  [ Steffen Moeller ]
  * Fixed d/watch - now finds latest version

  [ Andreas Tille ]
  * Standards-Version: 4.6.0 (routine-update)
  * Versioned Depends of latest qiime and q2 modules

 -- Andreas Tille <tille@debian.org>  Mon, 27 Sep 2021 21:13:43 +0200

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,16 @@
 Source: q2-sample-classifier
-Section: science
-Priority: optional
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Liubov Chuprikova <chuprikovalv@gmail.com>,
            Steffen Moeller <moeller@debian.org>
+Section: science
+Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-python,
-               qiime (>= 2020.11.0),
+               qiime (>= 2021.8.0),
                python3-all,
                python3-setuptools,
                python3-pytest <!nocheck>
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/med-team/q2-sample-classifier
 Vcs-Git: https://salsa.debian.org/med-team/q2-sample-classifier.git
 Homepage: https://qiime2.org
@@ -21,10 +21,10 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          ${python3:Depends},
-         qiime (>= 2020.11.0),
+         qiime (>= 2021.8.0),
          python3-distutils,
-         q2-types,
-         q2-feature-table
+         q2-types (>= 2021.8.0),
+         q2-feature-table (>= 2021.8.0)
 Description: QIIME 2 plugin for machine learning prediction of sample data
  QIIME 2 is a powerful, extensible, and decentralized microbiome analysis
  package with a focus on data and analysis transparency. QIIME 2 enables

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
   https://github.com/qiime2/q2-sample-classifier/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## q2-sample-classifier 2022.11.1

=== debian/changelog ===
q2-sample-classifier (2022.11.1-3) unstable; urgency=medium

  * reduce-precision-in-tests.patch: unfuzz.
  * sklearn-1.2.1.patch: add; fix test failures past sklearn 1.2
  * d/control: add myself to uploaders

 -- Étienne Mollier <emollier@debian.org>  Fri, 03 Feb 2023 21:35:26 +0100

q2-sample-classifier (2022.11.1-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable

 -- Andreas Tille <tille@debian.org>  Tue, 24 Jan 2023 19:12:56 +0100

q2-sample-classifier (2022.11.1-1) experimental; urgency=medium

  [ Lance Lin ]
  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * d/copyright: Update debian copyright year to 2023
  * d/patches/py2to3test.patch: Add Description and Forwarded fields
  * d/patches/reduce-precision-in-tests.patch: Add Forwarded field

  [ Andreas Tille ]
  * Bump versioned Depends
  * Depends: python3-sklearn

 -- Lance Lin <lq27267@gmail.com>  Thu, 12 Jan 2023 22:13:52 +0700

q2-sample-classifier (2022.8.0-2) unstable; urgency=medium

  * Team upload.
  * Refresh fix-autopkgtest.patch

 -- Mohammed Bilal <mdbilal@disroot.org>  Sat, 10 Sep 2022 13:19:40 +0530

q2-sample-classifier (2022.8.0-1) unstable; urgency=medium

  * Team upload.

  [ Andreas Tille ]
  * New upstream version 2022.2.0
  * Standards-Version: 4.6.1 (routine-update)
  * Bump versioned (Build-)Depends of q2-* packages to 2022.2.0

  [ Mohammed Bilal ]
  * New upstream version 2022.8.0
  * Update dependency on qiime/q2-* >= 2022.8.0
  * Add patch to fix autopkgtests

 -- Mohammed Bilal <mdbilal@disroot.org>  Fri, 09 Sep 2022 18:30:21 +0000

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,17 @@
 Source: q2-sample-classifier
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Liubov Chuprikova <chuprikovalv@gmail.com>,
-           Steffen Moeller <moeller@debian.org>
+           Steffen Moeller <moeller@debian.org>,
+           Étienne Mollier <emollier@debian.org>
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-python,
-               qiime (>= 2021.8.0),
+               qiime (>= 2022.11.1),
                python3-all,
                python3-setuptools,
                python3-pytest <!nocheck>
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/q2-sample-classifier
 Vcs-Git: https://salsa.debian.org/med-team/q2-sample-classifier.git
 Homepage: https://qiime2.org
@@ -21,10 +22,11 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          ${python3:Depends},
-         qiime (>= 2021.8.0),
          python3-distutils,
-         q2-types (>= 2021.8.0),
-         q2-feature-table (>= 2021.8.0)
+         python3-sklearn,
+         qiime (>= 2022.11.1),
+         q2-types (>= 2022.11.1),
+         q2-feature-table (>= 2022.11.1)
 Description: QIIME 2 plugin for machine learning prediction of sample data
  QIIME 2 is a powerful, extensible, and decentralized microbiome analysis
  package with a focus on data and analysis transparency. QIIME 2 enables

## q2-sample-classifier 2024.5.0

=== debian/changelog ===
q2-sample-classifier (2024.5.0-2) unstable; urgency=medium

  * Team upload.
  * d/control: drop unneeded dependency on python3-distutils. Closes:
    #1065946

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 30 Jun 2024 08:43:15 +0200

q2-sample-classifier (2024.5.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Regenerate debian/control from debian/control.in (routine-update)
  * d/patches/{convert-estimator,pandas2.0,sklearn-1.2.1}.patch:
    removed, applied upstream.
  * Only build for Python 3.11 until upstream catches up with Python
    3.12.
  * Regenerate debian/control from debian/control.in (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 25 Jun 2024 04:16:44 +0200

q2-sample-classifier (2024.2.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Autopkgtest for all supported Python3 versions
  * Regenerate debian/control from debian/control.in (routine-update)
  * Port to Pandas 2.0

 -- Andreas Tille <tille@debian.org>  Sun, 18 Feb 2024 17:28:32 +0100

q2-sample-classifier (2023.9.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Generate debian/control automatically to refresh version number
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * Regenerate debian/control from debian/control.in (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 30 Jan 2024 19:54:05 +0100

q2-sample-classifier (2023.7.0-2) unstable; urgency=medium

  * python3.12.patch: new: port versioneer.py. (Closes: #1058220)

 -- Étienne Mollier <emollier@debian.org>  Thu, 14 Dec 2023 19:06:53 +0100

q2-sample-classifier (2023.7.0-1) unstable; urgency=medium

  * New upstream version 2023.7.0
  * reduce-precision-in-tests.patch: refresh.
  * fix-autopkgtest.patch: refresh.
  * sklearn-1.2.1.patch: refresh.
  * convert-estimator.patch: new: fix autopkgtest failure.
  * sklearn-1.2.1.patch: forwarded upstream.

 -- Étienne Mollier <emollier@debian.org>  Wed, 30 Aug 2023 22:38:55 +0200

=== debian/control ===
--- 
+++ 
@@ -1,3 +1,4 @@
+# This file is autogenerated from control.in to update versioned dependencies
 Source: q2-sample-classifier
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Liubov Chuprikova <chuprikovalv@gmail.com>,
@@ -6,8 +7,8 @@
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
-               qiime (>= 2022.11.1),
+               dh-sequence-python3,
+               qiime (>= 2024.5),
                python3-all,
                python3-setuptools,
                python3-pytest <!nocheck>
@@ -22,11 +23,10 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          ${python3:Depends},
-         python3-distutils,
          python3-sklearn,
-         qiime (>= 2022.11.1),
-         q2-types (>= 2022.11.1),
-         q2-feature-table (>= 2022.11.1)
+         qiime (>= 2024.5),
+         q2-types (>= 2024.5),
+         q2-feature-table (>= 2024.5)
 Description: QIIME 2 plugin for machine learning prediction of sample data
  QIIME 2 is a powerful, extensible, and decentralized microbiome analysis
  package with a focus on data and analysis transparency. QIIME 2 enables

=== debian/rules ===
--- 
+++ 
@@ -4,9 +4,16 @@
 export LC_ALL=C.UTF-8
 
 include /usr/share/dpkg/default.mk
+VERSION_UPSTREAM=$(shell echo $(DEB_VERSION_UPSTREAM) | sed -e 's/\(20[0-9][0-9]\.[0-9]\+\)\..*/\1/')
+
+export PYBUILD_DISABLE=python3.12
+
+debian/control: debian/control.in
+	echo "# This file is autogenerated from control.in to update versioned dependencies" > $@
+	sed -e"s/@DEB_VERSION_UPSTREAM@/$(VERSION_UPSTREAM)/g" $< >> $@
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
 override_dh_auto_install:
 	dh_auto_install
